Subject: Re: [PATCH v3 01/14] net-next/yunsilicon: Add xsc driver basic framework

From: Simon Horman <[email-masked]>
Date: Thu, 16 Jan 2025 10:53:58 +0000

On Thu, Jan 16, 2025 at 04:04:47PM +0800, tianx wrote:
> On 2025/1/16 0:04, Simon Horman wrote:
> > On Wed, Jan 15, 2025 at 06:22:44PM +0800, Xin Tian wrote:
> >> Add yunsilicon xsc driver basic framework, including xsc_pci driver
> >> and xsc_eth driver
> >>
> >> Co-developed-by: Honggang Wei <[email-masked]>
> >> Signed-off-by: Honggang Wei <[email-masked]>
> >> Co-developed-by: Lei Yan <[email-masked]>
> >> Signed-off-by: Lei Yan <[email-masked]>
> >> Signed-off-by: Xin Tian <[email-masked]>
> > ...
> >
> >> diff --git a/drivers/net/ethernet/yunsilicon/xsc/pci/Makefile b/drivers/net/ethernet/yunsilicon/xsc/pci/Makefile
> >> new file mode 100644
> >> index 000000000..709270df8
> >> --- /dev/null
> >> +++ b/drivers/net/ethernet/yunsilicon/xsc/pci/Makefile
> >> @@ -0,0 +1,9 @@
> >> +# SPDX-License-Identifier: GPL-2.0
> >> +# Copyright (C) 2021-2025, Shanghai Yunsilicon Technology Co., Ltd.
> >> +# All rights reserved.
> >> +
> >> +ccflags-y += -I$(srctree)/drivers/net/ethernet/yunsilicon/xsc
> >> +
> >> +obj-$(CONFIG_YUNSILICON_XSC_PCI) += xsc_pci.o
> >> +
> >> +xsc_pci-y := main.o
> >> diff --git a/drivers/net/ethernet/yunsilicon/xsc/pci/main.c b/drivers/net/ethernet/yunsilicon/xsc/pci/main.c
> >> new file mode 100644
> >> index 000000000..4859be58f
> >> --- /dev/null
> >> +++ b/drivers/net/ethernet/yunsilicon/xsc/pci/main.c
> >> @@ -0,0 +1,251 @@
> >> +// SPDX-License-Identifier: GPL-2.0
> >> +/* Copyright (C) 2021-2025, Shanghai Yunsilicon Technology Co., Ltd.
> >> + * All rights reserved.
> >> + */
> >> +
> >> +#include "common/xsc_core.h"
> > Hi Xin Tian, all,
> >
> > Sorry for not noticing this before sending my previous email.
> >
> > Please consider a relative include like the following,
> > rather than the above combined with a -I directive in the Makefile.
> >
> > #include "../common/xsc_core.h"
> >
> > This is common practice in Networking code.
> > And, for one thing, allows the following to work:
> >
> > make drivers/net/ethernet/yunsilicon/xsc/pci/main.o
> 
> Hi, Simon
> 
> I don't fully understand the benefit of using relative includes in this case,
> as|"make drivers/net/ethernet/yunsilicon/xsc/pci/main.o|" already works with the current setup.

Thanks Xin Tian,

Sorry about this. There was an error on my part in exercising this yesterday.

I agree that the above make invocation does indeed work. And I do not have
a strong objection to the current #include scheme at this time.